#
# spec file for package lpsolve
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname liblpsolve55-0
Name:           lpsolve
Version:        5.5.2.0
Release:        lp150.1.10
Summary:        A Mixed Integer Linear Programming (MILP) Solver
License:        LGPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://sourceforge.net/projects/lpsolve
Source:         http://dev.gentooexperimental.org/~scarabeus/%{name}_bundled_colamd-%{version}.tar.xz
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mixed Integer Linear Programming (MILP) solver lpsolve solves pure
linear, (mixed) integer/binary, semi-continuous and special ordered
sets (SOS) models.

%package -n %{libname}
Summary:        A Mixed Integer Linear Programming (MILP) Solver Library
Group:          Productivity/Scientific/Math
Provides:       liblpsolve55 = %{version}
Obsoletes:      liblpsolve55 < %{version}

%description -n %{libname}
Mixed Integer Linear Programming (MILP) solver library lpsolve solves
pure linear, (mixed) integer/binary, semi-continuous and special
ordered sets (SOS) models.

%package devel
Summary:        Files for Developing with lpsolve
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Includes and definitions for developing with the lpsolve library.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Icolamd/"
%configure \
	--disable-static \
	--docdir="%{_docdir}/%{name}"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ./bfp/bfp_LUSOL/LUSOL/LUSOL_LGPL.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL-overview.txt README.txt
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so

%changelog
* Tue May 20 2014 tchvatal@suse.com
- Add xz to exact dependencies as it is needed on SLE11.
* Sat Jan 25 2014 tchvatal@suse.com
- Pass over with spec-cleaner in the specs overview.
* Sat Apr 20 2013 tchvatal@suse.com
- Add url for download.
* Mon Dec  3 2012 tchvatal@suse.com
- Add obsoletes/provides for old libname so depending pkgs work.
  * drop no longer needed lpsolve-5.5.0.11-cflags.patch we use
    autotools now.
  * drop no longer needed lpsolve-pic.diff for the same reason.
* Fri Nov 30 2012 tchvatal@suse.com
- Use the spec-beautifier to make it more readable.
* Thu Nov 29 2012 tchvatal@suse.com
- Drop duplication of the license string.
* Wed Nov 21 2012 tchvatal@suse.com
- Last commit was really bad idea.
* Wed Nov 21 2012 tchvatal@suse.com
- Drop useless requires line.
* Wed Nov 21 2012 tchvatal@suse.com
- Try to version bump on 5.5.2.0 based of Gentoo.
* Thu Feb 11 2010 jengelh@medozas.de
- SPARC requires large PIC model
* Wed Aug 13 2008 pmladek@suse.cz
- initial version 5.5.0.13
- based on the spec file by Steve Cundy and Caolan McNamara
